/*
  NokiaLCD.h - Library for a Nokia LCD with the epson driver.
  Created by Thomas Jespersen, July 2009 (Originally Arduino Sketch by Gravitech.us)
  Released into the public domain.
*/
#ifndef NokiaLCD_h
#define NokiaLCD_h

#include "WProgram.h"

class NokiaLCD
{
  public:
    void LCD_put_pixel(byte color, byte x, byte y);
    void lcd_set_box(byte x1, byte y1, byte x2, byte y2);
    void lcd_clear(byte color, byte x1, byte y1, byte x2, byte y2);
    void lcd_init();
    void draw_color_bar();
    void draw_text_line(byte fcolor, byte bcolor,byte x, byte y, char c);
    void lcd_draw_text(byte fcolor, byte bcolor, byte x, byte y, char *text);

  private:
    void shiftBits(byte b);
    void sendData(byte data);
    void sendCMD(byte data);
};

#endif
